Subject: Re: lanana: Add major/minor entries for PPC QE UART devices

From: Timur Tabi <[email-masked]>
Date: Thu, 01 Mar 2007 09:55:54 -0600

Dan Malek wrote:

> People have used more than 4, but we just
> allocated the additional /dev entries to cover
> them.  I know of only one time this has happened.
> It's such a custom case that the other device
> names didn't matter.

Ok guys, I need a consensus here.  Are we going to allocate a second block of 4 minor 
numbers for the QE/CPM UART or not?

My driver already has a macro that limits the number of UARTS to 4, and it just uses minor 
numbers 47 through (47 + UCC_MAX_UART - 1).  So my driver can easily be modified to spill 
into the Altic's range if some custom board needs it.

I'll add a second TTY struct to handle the 2nd set of minor numbers if and only if 
devices-2.6+.txt is updated with that information.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale